import request from '@/utils/request'

// api地址
const api = {
  list: 'bargain.task/list',
  partake: 'bargain.task/partake',
  detail: 'bargain.task/detail',
  helpList: 'bargain.task/helpList',
  helpCut: 'bargain.task/helpCut'
}

// 我的砍价列表
export const list = (param) => {
  return request.get(api.list, param)
}

// 创建砍价任务
export const partake = (data) => {
  return request.post(api.partake, data)
}

// 获取砍价任务详情
export const detail = (taskId, param) => {
  return request.get(api.detail, { taskId, ...param })
}

// 获取砍价任务好友助力榜
export const helpList = (taskId, param) => {
  return request.get(api.helpList, { taskId, ...param })
}

// 帮砍一刀
export const helpCut = (taskId, data) => {
  return request.post(api.helpCut, { taskId, ...data })
}
